### Class

# Foundry DebuggerTargetCommand

#### Description [src]

    final class Foundry.DebuggerTargetCommand : Foundry.DebuggerTarget
    {
      /* No available fields */
    }

Command-based implementation of debugger target.

FoundryDebuggerTargetCommand provides functionality for debugging applications by executing commands and managing their execution. It integrates with the command system and provides a unified interface for command-based debugging operations.

#### Ancestors

- FoundryDebuggerTarget
- GObject

#### Constructors

###### foundry_debugger_target_command_new

No description available.

since: 1.1

#### Instance methods

###### foundry_debugger_target_command_dup_command

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Foundry.DebuggerTargetCommand:command

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryDebuggerTargetCommandClass {
      /* no available fields */
    }

No description available.